View Issue Details

IDProjectCategoryView StatusLast Update
0000639XdebugUsage problems (Wrong Results)public2011-03-21 20:42
ReporterjayprakashAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSubuntuOS Versionkubuntu 10.10
Product Version2.2dev 
Target VersionFixed in Version 
Summary0000639: Xdebug profiling: output not correct - missing 'cfl='
Descriptionmore than any description :
https://bugs.kde.org/show_bug.cgi?id=256425

"Actually, the supplied cachegrind file seems buggy to me.
It only specifies the source file name for functions, but
not for call targets."
Additional Informationtested on svn compiled source.
Version 2.2.0-dev

$ cat /etc/php5/conf.d/xdebug.ini
zend_extension=/opt/sources/xdebug/modules/xdebug.so
xdebug.remote_enable = 1
xdebug.remote_host = 127.0.0.1
xdebug.collect_params = 4
xdebug.collect_return = 1
xdebug.collect_vars = 1
xdebug.show_local_vars = 1
xdebug.remote_handler="dbgp"


$ cat .htaccess
php_value xdebug.profiler_output_name cachegrind.out.%u.%H.cachegrind
php_value xdebug.profiler_output_dir ~/www/profiler/
php_value xdebug.profiler_enable 1
TagsNo tags attached.
Operating Systemkubuntu 10.10
PHP Version5.3.3

Relationships

has duplicate 0000489 resolvedderick profiling cachegrind output: add the filename references for called functions "cfl=" 

Activities

fmaz008

2011-02-15 16:42

reporter   ~0001676

In addition to the cfl problem:

I have an index.php file calling a frontcontroller.php (so only 1 require on the whole file)

That is profiled this way:

fl=/var/www/framework/frontcontroller.php
fn=require::/var/www/framework/frontcontroller.php
1 1397
cfn=php::dirname
calls=1 0 0
13 13

cfn=require::/var/www/framework/frontcontroller.php
calls=1 0 0
6 140823


From what I've understood, fl should be file where the call ( fn ) is located.
If I switch the fl line to this:
fl=/var/www/public_html/index.php

... the call graph will render correctly.

derick

2011-03-13 21:40

administrator   ~0001689

Just a little update; I started looking into this.

derick

2011-03-21 20:42

administrator   ~0001696

Fixed in SVN for 2.1.1 and HEAD.

Issue History

Date Modified Username Field Change
2010-11-10 08:54 jayprakash New Issue
2011-02-15 16:42 fmaz008 Note Added: 0001676
2011-03-13 21:40 derick Note Added: 0001689
2011-03-21 20:42 derick Note Added: 0001696
2011-03-21 20:42 derick Status new => closed
2011-03-21 20:42 derick Assigned To => derick
2011-03-21 20:42 derick Resolution open => fixed
2011-08-20 08:14 derick Relationship added has duplicate 0000489
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)